#ifndef XMODELPIECES_H
#define XMODELPIECES_H

#include "xasset.h"
#include "xmodelpiece.h"

class XModelPieces : public XAsset
{
public:
    XModelPieces();
    ~XModelPieces();

    virtual void ParseData(QDataStream* aStream) override;
    virtual void Clear() override;

private:
    XString mName;
    int mNumPieces;
    QVector<XModelPiece> mPieces;
};

#endif // XMODELPIECES_H
